Bug 741439 - Firefox window "exit" window decoration has surprising effect
Summary: Firefox window "exit" window decoration has surprising effect
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-firetray
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hicham HAOUARI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 20:00 UTC by Stefan Seefeld
Modified: 2012-08-07 16:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:18:40 UTC


Attachments (Terms of Use)

Description Stefan Seefeld 2011-09-26 20:00:07 UTC
Description of problem:

Since upgrading the firetray component, clicking the "exit" window decoration doesn't actually close the given window, it iconizes all open firefox windows.

This would be OK had I only a single firefox window open. However, with more than one window, I really do want to close the given window, and not change the state of the others.


Version-Release number of selected component (if applicable):

0.3.1-1.fc15


How reproducible:

always

Steps to Reproduce:
1. Open firefox
2. create multiple windows
3. click on the "x" decorator button in one of them
  
Actual results:

All firefox windows will be iconized

Expected results:

The selected window will be closed (not just iconized !), while all other firefox windows will retain their original state.

Additional info:

Comment 1 Hicham HAOUARI 2011-09-27 10:37:51 UTC
Upstream bug report :

http://code.google.com/p/firetray/issues/detail?id=31

Comment 2 Hicham HAOUARI 2011-09-27 10:43:23 UTC
From a downstream point of view, we can disable "Close button minimizes to tray" option, which solves the issue.

Comment 3 Fedora End Of Life 2012-08-07 16:18:42 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.